com.aliyun.svideosdk.common.internal.videoaugment

## Class VideoAugmentationConstant

- java.lang.Object
- - com.aliyun.svideosdk.common.internal.videoaugment.VideoAugmentationConstant

-     public class VideoAugmentationConstant
      extends java.lang.Object

  Added in v3.19.0 constant variables of video augmentation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static float` | `DEFAULT_BRIGHTNESS` the default value of video brightness
    `static float` | `DEFAULT_CONTRAST` the default value of video contrast
    `static float` | `DEFAULT_SATURATION` the default value of video saturation
    `static float` | `DEFAULT_SHARP` the default value of video sharpness
    `static float` | `DEFAULT_VIGNETTE` the default value of video vignette

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoAugmentationConstant()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BRIGHTNESS

          public static final float DEFAULT_BRIGHTNESS

      the default value of video brightness
      See Also:
        Constant Field Values

    - #### DEFAULT_CONTRAST

          public static final float DEFAULT_CONTRAST

      the default value of video contrast
      See Also:
        Constant Field Values

    - #### DEFAULT_SATURATION

          public static final float DEFAULT_SATURATION

      the default value of video saturation
      See Also:
        Constant Field Values

    - #### DEFAULT_SHARP

          public static final float DEFAULT_SHARP

      the default value of video sharpness
      See Also:
        Constant Field Values

    - #### DEFAULT_VIGNETTE

          public static final float DEFAULT_VIGNETTE

      the default value of video vignette
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VideoAugmentationConstant

          public VideoAugmentationConstant()